Bullet Collision Detection & Physics Library: CProfileManager Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | Static Private Attributes | List of all members
CProfileManager Class Reference

The Manager for the Profile system. More...

`#include <btQuickprof.h>`

Collaboration diagram for CProfileManager:
[legend]

## Static Public Member Functions
static void | Start_Profile (const char *name)
static void | Stop_Profile (void)
static void | CleanupMemory (void)
static void | Reset (void)
static void | Increment_Frame_Counter (void)
static int | Get_Frame_Count_Since_Reset (void)
static float | Get_Time_Since_Reset (void)
static CProfileIterator * | Get_Iterator (void)
static void | Release_Iterator (CProfileIterator *iterator)
static void | dumpRecursive (CProfileIterator *profileIterator, int spacing)
static void | dumpAll ()

## Static Private Attributes
static CProfileNode | Root
static CProfileNode * | CurrentNode = &CProfileManager::Root
static int | FrameCounter = 0
static unsigned long int | ResetTime = 0

## Detailed Description

The Manager for the Profile system.

Definition at line 146 of file btQuickprof.h.

## Member Function Documentation

static void CProfileManager::CleanupMemory | ( | void |  | ) |
| inlinestatic

Definition at line 151 of file btQuickprof.h.

void CProfileManager::dumpAll | ( |  | ) |
| static

Definition at line 565 of file btQuickprof.cpp.

void CProfileManager::dumpRecursive | ( | CProfileIterator * | profileIterator,
|  | int | spacing
| ) |  |
| static

Definition at line 516 of file btQuickprof.cpp.

static int CProfileManager::Get_Frame_Count_Since_Reset | ( | void |  | ) |
| inlinestatic

Definition at line 158 of file btQuickprof.h.

static CProfileIterator* CProfileManager::Get_Iterator | ( | void |  | ) |
| inlinestatic

Definition at line 161 of file btQuickprof.h.

float CProfileManager::Get_Time_Since_Reset | ( | void |  | ) |
| static

Definition at line 506 of file btQuickprof.cpp.

void CProfileManager::Increment_Frame_Counter | ( | void |  | ) |
| static

Definition at line 497 of file btQuickprof.cpp.

static void CProfileManager::Release_Iterator | ( | CProfileIterator * | iterator | ) |
| inlinestatic

Definition at line 166 of file btQuickprof.h.

void CProfileManager::Reset | ( | void |  | ) |
| static

Definition at line 484 of file btQuickprof.cpp.

void CProfileManager::Start_Profile | ( | const char * | name | ) |
| static

Definition at line 456 of file btQuickprof.cpp.

void CProfileManager::Stop_Profile | ( | void |  | ) |
| static

Definition at line 469 of file btQuickprof.cpp.

## Member Data Documentation

CProfileNode * CProfileManager::CurrentNode = &CProfileManager::Root
| staticprivate

Definition at line 174 of file btQuickprof.h.

int CProfileManager::FrameCounter = 0
| staticprivate

Definition at line 175 of file btQuickprof.h.

unsigned long int CProfileManager::ResetTime = 0
| staticprivate

Definition at line 176 of file btQuickprof.h.

CProfileNode CProfileManager::Root
| staticprivate

Definition at line 173 of file btQuickprof.h.

The documentation for this class was generated from the following files:

- btQuickprof.h
- btQuickprof.cpp